<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Python.html" >Python</a>.<a href="../ASGTranslator.html" >ASGTranslator</a>
</div><div class="class-name">class ASGTranslator

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Python/ASGTranslator.py.html" target="detail">../Synopsis/Parsers/Python/ASGTranslator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line164" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ASGTranslator-inheritance" src="ASGTranslator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ASGTranslator-inheritance_map" />
<map name="ASGTranslator-inheritance_map"></map>
 <div class="doc">Translate the Python AST into a Synopsis ASG.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="scope">scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line173" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="file">file</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line174" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="types">types</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line175" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="attributes">attributes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line176" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="any_type">any_type</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line177" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="docformat">docformat</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line178" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="documentable">documentable</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line179" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line180" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="ASGTranslator.html#imports" >imports</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line181" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Tuple with &#40;module&#44; names&#41; pairs.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ASGTranslator.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="variable">package</span>, <span class="variable">types</span>, <span class="variable">docformat</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line167" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create an ASGTranslator.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_file">process_file</a>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.process_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line184" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope_name">scope_name</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.scope_name" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line192" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="default">default</a>(<span class="variable">self</span>, <span class="variable">node</span>, <span class="keyword">*</span> <span class="variable">args</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line195" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="default_visit">default_visit</a>(<span class="variable">self</span>, <span class="variable">node</span>, <span class="keyword">*</span> <span class="variable">args</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default_visit" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line198" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitDiscard">visitDiscard</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitDiscard" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line201" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitConst">visitConst</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitConst" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line205" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitStmt">visitStmt</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitStmt" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line212" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAssign">visitAssign</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssign" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line215" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitModule">visitModule</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitModule" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line234" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitImport">visitImport</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitImport" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line252" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitFrom">visitFrom</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFrom" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line257" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAssName">visitAssName</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssName" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line262" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAssTuple">visitAssTuple</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssTuple" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line287" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAssAttr">visitAssAttr</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssAttr" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line294" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitGetattr">visitGetattr</a>(<span class="variable">self</span>, <span class="variable">node</span>, <span class="variable">suffix</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitGetattr" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line307" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitName">visitName</a>(<span class="variable">self</span>, <span class="variable">node</span>, <span class="variable">suffix</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitName" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line310" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitFunction">visitFunction</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFunction" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line317" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="parse_parameter_list">parse_parameter_list</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.parse_parameter_list" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line355" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitClass">visitClass</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitClass" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line384" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitGetattr">visitGetattr</a>(<span class="variable">self</span>, <span class="variable">node</span>, <span class="variable">suffix</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitGetattr" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line415" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="imports">imports</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line181" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Tuple with &#40;module&#44; names&#41; pairs.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">package</span>, <span class="variable">types</span>, <span class="variable">docformat</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line167" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create an ASGTranslator.

        package: enclosing package the generated modules are to be part of.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
